Subject: Re: [PATCH] Implement check_legacy_ioport() on PS3

From: [email-masked] (Olof Johansson)
Date: Thu, 29 Mar 2007 20:45:42 -0500

On Fri, Mar 30, 2007 at 01:02:52AM +0100, David Woodhouse wrote:
> It doesn't like it when we poke at legacy I/O ports like the i8042. We
> should probably change the _default_ to return -ENODEV, and let any
> strange platform which wants to allow unfettered access provide its own
> function for that.

I ran into the very same thing earlier myself and had exactly the same
idea. However, it turned out then that it would have meant adding more
cases of ioport being allowed than it would have removed the opposite. It
might have changed since then. Either way it's annoying.

-Olof